package com.kingdee.eas.hr.project;

import com.kingdee.bos.dao.AbstractObjectCollection;
import com.kingdee.bos.dao.IObjectPK;

public class ProjectChangeEntryCollection extends AbstractObjectCollection 
{
    public ProjectChangeEntryCollection()
    {
        super(ProjectChangeEntryInfo.class);
    }
    public boolean add(ProjectChangeEntryInfo item)
    {
        return addObject(item);
    }
    public boolean addCollection(ProjectChangeEntryCollection item)
    {
        return addObjectCollection(item);
    }
    public boolean remove(ProjectChangeEntryInfo item)
    {
        return removeObject(item);
    }
    public ProjectChangeEntryInfo get(int index)
    {
        return(ProjectChangeEntryInfo)getObject(index);
    }
    public ProjectChangeEntryInfo get(Object key)
    {
        return(ProjectChangeEntryInfo)getObject(key);
    }
    public void set(int index, ProjectChangeEntryInfo item)
    {
        setObject(index, item);
    }
    public boolean contains(ProjectChangeEntryInfo item)
    {
        return containsObject(item);
    }
    public boolean contains(Object key)
    {
        return containsKey(key);
    }
    public int indexOf(ProjectChangeEntryInfo item)
    {
        return super.indexOf(item);
    }
}